Package com.logicaldoc.core.security.user

# Enum Class GroupType

java.lang.Object
java.lang.Enum<GroupType>
com.logicaldoc.core.security.user.GroupType

All Implemented Interfaces:
  `Serializable`, `Comparable<GroupType>`, `Constable`

public enum GroupType extends Enum<GroupType>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`DEFAULT`
`USER`

## Method Summary

Modifier and Type
Method
Description
`static GroupType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static GroupType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### DEFAULT

public static final GroupType DEFAULT

### USER

public static final GroupType USER

## Method Details

### values

public static GroupType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static GroupType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null